petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeGetGlobalISs

Gets the index sets for each composed object

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetGlobalISs(DM dm,IS *is[])

Collective on DMComposite Many br

### Input Parameter

dm -the packer object Many br

### Output Parameters

is -the array of index sets Many br

Many br

### Notes

The is entries should be destroyed with ISDestroy(), the is array should be freed with PetscFree() Many br

These could be used to extract a subset of vector entries for a "multi-physics" preconditioner Many br

Use DMCompositeGetLocalISs() for index sets in the packed local numbering, and Many brDMCompositeGetISLocalToGlobalMappings() for to map local sub-DM (including ghost) indices to packed global Many brindices. Many br

### Fortran Notes

The output argument 'is' must be an allocated array of sufficient length, which can be learned using DMCompositeGetNumberDM(). Many br

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetAccess(), DMCompositeScatter(), Many brDMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(),DMCompositeGetEntries() Many br

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex28.c.html